# Tarfile created using git
# git clone git://gitorious.org/meego-middleware/librest.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > ~/%{name}-%{version}.tar.bz2
%define git_version db008e9
%define tarfile %{name}-%{version}.tar.bz2

Name:          rest
Version:       0.6.4
Release:       2%{?dist}
Summary:       A library for access to RESTful web services

Group:         System Environment/Libraries
License:       LGPLv2
URL:           http://www.meego.com
Source0:       %{tarfile}

BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libsoup-devel
BuildRequires: libxml2-devel
BuildRequires: gtk-doc

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent 
remote objects, which methods can then be called on. The majority of services 
don't actually adhere to this strict definition. Instead, their RESTful end 
point usually has an API that is just simpler to use compared to other types 
of APIs they may support (XML-RPC, for instance). It is this kind of API that 
this library is attempting to support.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

# run autogen.sh until we have a proper release, but don't run configure twice.
# sed -i '/configure/d' autogen.sh
./autogen.sh

%build
%configure --disable-static --enable-gtk-doc

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/librest-0.6.so.0
%{_libdir}/librest-0.6.so.0.0.0
%{_libdir}/librest-extras-0.6.so.0
%{_libdir}/librest-extras-0.6.so.0.0.0
%{_libdir}/girepository-1.0/Rest-0.6.typelib
%{_libdir}/girepository-1.0/RestExtras-0.6.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/rest-0.6
%{_libdir}/pkgconfig/rest*
%{_libdir}/librest-0.6.so
%{_libdir}/librest-extras-0.6.so
%{_datadir}/gtk-doc/html/%{name}-0.6
%{_datadir}/gir-1.0/Rest-0.6.gir
%{_datadir}/gir-1.0/RestExtras-0.6.gir

%changelog
* Thu Sep 16 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.4-2
- Bump build

* Sun Jul 11 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.4-1
- Update to 0.6.4

* Wed May 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.3-2
- some cleanups and fixes

* Wed May 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.3-1
- Update to 0.6.3, update url and source details, enable introspection

* Mon Feb 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-4
- Add patch to fix DSO linking. Fixes bug 564764

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-3
- Bump build

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-2
- Move to official tarball release of 0.6.1

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.6.1-1
- New upstream 0.6.1 release

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.6-1
- New upstream 0.6 release

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.5-3
- A few minor spec file cleanups

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.5-1
- Update to 0.5

* Mon Jun 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- Update to 0.4

* Wed Jun 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- Initial packaging
